#include <stdio.h>
#include <fcntl.h>
#include <string.h>
#include <stdlib.h>
#include <sys/ioctl.h>
#include <unistd.h>
#include <math.h>

#define EMPEG_DSP_MAGIC 'a'
#define EMPEG_DSP_BEEP _IOW(EMPEG_DSP_MAGIC, 0, int)
#define EMPEG_DSP_VOLADJ _IOW(EMPEG_DSP_MAGIC, 2, int)

int main(int ac, char *av[])
{
int fd;
int args[5];

fd = open("/dev/dsp", O_RDONLY);

if (ac != 5) {
	fprintf(stderr,"Usage: voladj <factor/second> <minvol> <headroom> <real silence> <fake silence>\n");
	return 1;
	}

args[0] = atoi(av[1]);
args[1] = atoi(av[2]);
args[2] = atoi(av[3]);
args[3] = atoi(av[4]);
args[4] = atoi(av[5]);

if (fd < 0) {
	perror("Couldn't open /dev/dsp.\n");
	return 1;
	}
if (ioctl(fd, EMPEG_DSP_VOLADJ, args) < 0)
             perror("ioctl.\n");
close(fd);
return 0;
}
